 % !TeX spellcheck = en_GB
\chapter{Conclusions}

It has been pointed out that data exchange is a bottle neck for multiphysics simulations that rely
on more than one solver. For highly parallel simulations this problem becomes even greater, to de
point that the I/O operation timings can become larger than the computation time of the solvers
involved. To avoid this problem, a direct-hybrid method that uses a hierachical Cartesian grid and
rely on an efficient parallel algorithm to overlap computation and communication between the
solvers is presented. To achieve higher efficiency, a domain decomposition is performed using a
Hibert space-filling curve. This assures that the cells that communicate during the solution
remain in the same MPI subdomain, so data is transferred in-memory. Additionally, the space
interpolation is performed using a local Galerkin projection.\\
In this work, the direct-hybrid method was applied to aeroacoustics problems. For that, a finite
volume solver based on the unsteady compressible Navier-Stokes equations was used for the flow
field prediction and a discontinuous Galerkin method was used to discretize the acoustic
perturbation equations for the acoustics field.\\
The new method was then analysed using a co-rotating vortex problem. The results showed a good
agreement to the analytical solution and stability over the computation time. The direct-hybrid
method also showed to outperform the classical method in terms of scalability and disk space
requirements. Therefore, it is a good candidate for efficient, highly parallel CAA simulations and
serve as a blueprint for other types of volume-coupled multiphysics problems.
